document.addEventListener('DOMContentLoaded', function() {
    //Words that appears auto in top of page (block ideas in hero zone)
        const words = [
        "Babysitter",
        "Nanny",
        "Caregiver",
        "Childcare",
        "Helper",
        "Tutor",
        "Guardian",
        "Companion",
        "Au Pair",
        "Sitter",
        "Caretaker",
        "Playmate",
        "Mother’s Helper",
        "Night Nanny",
        "Family Support",
        "Child Minder",
        "Home Helper",
        "Educator",
        "Trusted Carer",
        "Peace of Mind"
      ];
      
    const targetElement = document.getElementById('ideas');
    let wordIndex = 0;

    function changeWord() {
        let opacity = targetElement.style.opacity;
        let interval = 1000;
        if (opacity === "" || opacity==="0") {
            targetElement.style.opacity= "1";
            targetElement.textContent = words[wordIndex];
            wordIndex = (wordIndex + 1) % words.length;
        }else{
            targetElement.style.opacity= "0";
            interval = 300;
        }
        setTimeout(changeWord, interval); //2 seconds between words
    }
    changeWord();
});
(function linkCollapse(){
    const navLinks = document.querySelectorAll('.nav-item')
    const menuToggle = document.querySelector('.collapse')
    const bsCollapse = new bootstrap.Collapse(menuToggle, {toggle:false})
    navLinks.forEach((l) => {
        l.addEventListener('click', () => { 
            if (window.innerWidth < 992) {bsCollapse.toggle()} 
          })
      })
   })();

/* Init AOS: animation on scroll  */
AOS.init();
 

